Subject: Re: How to trun off udbg0 during bootup?

From: Peter Korsgaard <[email-masked]>
Date: Thu, 21 Jan 2010 16:34:58 +0100

>>>>> "景文林" == 景文林  <[email-masked]> writes:

 景文林> Hi,

 景文林>  I `m working on a freescale-MPC8379eRDB like board.And I want
 景文林> to trun off kernel message during bootup.

 景文林>  I tried to  modify "console = XXX" argument in uboot but it
 景文林> did not work(It works on ARM). Kernel always print:

 景文林> "console [udbg0] enabled"    or   "console handover: boot
 景文林> [udbg0] -> real [ttyS1]" 

 景文林> Does anybody know how can I turn off this udbg0?

It's currently not configurable. I sent a (not applied) patch to make it
configurable back in Dec 2008:

http://lists.ozlabs.org/pipermail/linuxppc-dev/2008-December/066461.html

You can probably still get it to apply with a bit of fuzz.

-- 
Bye, Peter Korsgaard